CUTLASS: cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params Struct Reference

Parameters structure.

`#include <gemm_splitk_parallel.h>`

Collaboration diagram for cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params:
[legend]

## Public Member Functions
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (cutlass::gemm::GemmCoord const &problem_size, cutlass::gemm::GemmCoord const &grid_tiled_shape, typename Mma::IteratorA::TensorRef ref_A, typename Mma::IteratorB::TensorRef ref_B, typename Epilogue::OutputTileIterator::TensorRef ref_D, typename OutputOp::Params output_op, int64_t splitk_slice_stride)

## Public Attributes
cutlass::gemm::GemmCoord | problem_size
cutlass::gemm::GemmCoord | grid_tiled_shape
Mma::IteratorA::Params | params_A
Mma::IteratorA::TensorRef | ref_A
Mma::IteratorB::Params | params_B
Mma::IteratorB::TensorRef | ref_B
Epilogue::OutputTileIterator::Params | params_D
Epilogue::OutputTileIterator::TensorRef | ref_D
OutputOp::Params | output_op
int64_t | splitk_slice_stride
int | gemm_k_size

## Constructor & Destructor Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::Params | ( |  | ) |
| inline

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::Params | ( | cutlass::gemm::GemmCoord const & | problem_size,
|  | cutlass::gemm::GemmCoord const & | grid_tiled_shape,
|  | typename Mma::IteratorA::TensorRef | ref_A,
|  | typename Mma::IteratorB::TensorRef | ref_B,
|  | typename Epilogue::OutputTileIterator::TensorRef | ref_D,
|  | typename OutputOp::Params | output_op,
|  | int64_t | splitk_slice_stride
| ) |  |
| inline

## Member Data Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::gemm_k_size

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

cutlass::gemm::GemmCoord cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::grid_tiled_shape

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

OutputOp::Params cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::output_op

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorA::Params cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorB::Params cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Epilogue::OutputTileIterator::Params cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_D

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

cutlass::gemm::GemmCoord cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::problem_size

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorA::TensorRef cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorB::TensorRef cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Epilogue::OutputTileIterator::TensorRef cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_D

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int64_t cutlass::gemm::kernel::GemmSplitKParallel< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::splitk_slice_stride

The documentation for this struct was generated from the following file:

- kernel/gemm_splitk_parallel.h